Bug 219154 - vim doesn't own /usr/share/vim/vimfiles
vim doesn't own /usr/share/vim/vimfiles
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 11:17 EST by Matěj Cepl
Modified: 2008-02-05 23:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 10:14:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2006-12-11 11:17:29 EST
Description of problem:
Neither vim-common package nor any other package from vim src.rpm owns
/usr/share/vim/vimfiles directory, which seems to be (by :he 'rtp') supposed to
be place for vim plugins to be installed. Actually, this directory doesn't exist
in RHEL5b2/FC[56]. When trying to create additional vim plugin (see bug 217836)
which should be installed there, there is no package which would own
/usr/share/vim/vimfiles/*/ direcotries and /usr/share/vim/vimfiles/ itself.

Version-Release number of selected component (if applicable):
vim-common-7.0.109-3

How reproducible:
100%


  
Actual results:
no package owns /usr/share/vim/vimfiles and its subdirectories (copy of
subdirectories of /usr/share/vim/vim70/).

Expected results:
they should be owned by vim-common, IMHO.

Additional info:
Comment 1 Karsten Hopp 2006-12-12 05:04:15 EST
fixed in vim-7.0.178-1
Comment 2 Matěj Cepl 2006-12-12 08:30:35 EST
I was not able to find package with this (tried fedora-development repo), but
tmraz was saying that you have made vim-common owner of just
/usr/share/vim/vimfiles. We would need some directories beneath that as well.
:he 'rtp' mentions autoload/, colors/, compiler/, doc/, ftplugin/, indent/,
keymap/, lang/, plugin/, print/, spell/, syntax/, tutor/, but certainly some of
them are not necessary. I would need for my plugin just colors/, doc/,
ftdetect/, ftplugin/, and syntax/.

Thanks a lot for being so fast with reaction to this.
Comment 3 Karsten Hopp 2006-12-12 08:59:13 EST
not quite. rtp points at vimfiles and vimfiles/after. The other directories are
in the main vim directory. I'll add vimfiles/after, but not the other directories.

:set rtp?
runtimepath=~/.vim,/usr/share/vim/vimfiles,/usr/share/vim/vim70,/usr/share/vim
/vimfiles/after,~/.vim/after
Comment 4 Matěj Cepl 2006-12-12 09:15:58 EST
OK, back to basics -- I have package which has files in
/usr/share/vim/vimfiles/{colors,doc,ftdetect,ftplugin,syntax} Who should own
these particular directories (subdirectories of /usr/share/vim/vimfiles),
considering that some other package (let's say vim-latexsuite) may want to put
its files to the same directories
(/usr/share/vim/vimfiles/{colors,doc,ftdetect,ftplugin,syntax}) as well?
Comment 6 Karsten Hopp 2006-12-13 10:14:21 EST
I can't and won't add rtp paths for external vim plugins as there is no defined
directory structure which all are supposed to use. Each one can make up its own
subdirs. 
You need to write a .vim file which adds its required subdirs to rtp and put it
into /usr/share/vim/vimfiles so that it enhances rtp when the package gets
installed.
Comment 7 Matěj Cepl 2006-12-14 07:45:47 EST
I don't ask you for that -- /usr/share/vim/vimfiles already is in rtp. The only
problem is ownership of its subdirectories.
Comment 8 Matěj Cepl 2006-12-14 07:46:16 EST
I don't ask you for that -- /usr/share/vim/vimfiles already is in rtp. The only
problem is ownership of its subdirectories. But, let it be, we will deal with
this, when the conflict happens.
Comment 9 Geoff Reedy 2008-02-05 23:14:22 EST
(In reply to comment #6)
> I can't and won't add rtp paths for external vim plugins as there is no defined
> directory structure which all are supposed to use. Each one can make up its own
> subdirs.

I would like to reopen this bug. I am packaging scala which provides vim syntax
files. Vim clearly defines which directories should be present inside of
/usr/share/vim/vimfiles and I see no reason why vim-common should not create and
own these directories (the windows installer for vim does, by the way). rtp just
specifies the roots of the vim runtime directories, no need to add anything
extra to it, /usr/share/vim/vimfiles is enough.  Here's a list from :help 'rtp'

          autoload/     automatically loaded scripts |autoload-functions|
          colors/       color scheme files |:colorscheme|  
          compiler/     compiler files |:compiler|
          doc/          documentation |write-local-help|
          ftplugin/     filetype plugins |write-filetype-plugin|
          indent/       indent scripts |indent-expression|
          keymap/       key mapping files |mbyte-keymap|
          lang/         menu translations |:menutrans|
          plugin/       plugin scripts |write-plugin|
          print/        files for printing |postscript-print-encoding|
          spell/        spell checking files |spell|
          syntax/       syntax files |mysyntaxfile|
          tutor/        files for vimtutor |tutor|

Each of these directories should be created under /usr/share/vim/vimfiles and
/usr/share/vim/vimfiles/after and owned by vim-common

Note You need to log in before you can comment on or make changes to this bug.